/* Primary button */

.primary-button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 242px;
  min-height: 88px;
  font-weight: 600;
  font-size: 16px;
  color: #000000;
  line-height: normal;
  padding: 6px 40px;
  border-radius: 8px;
  white-space: nowrap;
  will-change: transform;
  background: url(../images/icons/primary-button.webp) no-repeat center / contain;
  transition: var(--secondary-transition);
  overflow: hidden;
  border-radius: 12px;
}

.primary-button > span {
  position: absolute;
  left: 50%;
  bottom: 24px;
  transform: translateX(-50%);
}

.primary-button--fix-size {
  max-width: max-content;
}

.primary-button:hover,
.primary-button:active,
.primary-button:focus {
  transform: scale(1.05);
}

.app-button::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 50%;
  height: 100%;
  background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.3), transparent);
  transition: left 0.5s ease;
  z-index: 2;
}

.app-button:hover::before {
  left: 100%;
}

/* Secondary button */

.secondary-button {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 110px;
  min-height: 50px;
  font-weight: 600;
  font-size: 16px;
  background-color: #4cb63a;
  color: var(--primary-text-color);
  line-height: normal;
  border: 1px solid #4cb63a;
  padding: 6px 40px;
  border-radius: 8px;
  white-space: nowrap;
  will-change: transform;
}

.secondary-button--fix-size {
  max-width: max-content;
}

.secondary-button:hover,
.secondary-button:active,
.secondary-button:focus {
  background-color: var(--primary-bg-color);
  color: var(--primary-text-color);
  border-color: #4cb63a;
}

/* Reg button */

.reg-button {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 110px;
  min-height: 40px;
  font-weight: 600;
  font-size: 16px;
  background-color: #4cb63a;
  color: var(--primary-text-color);
  line-height: normal;
  border: 1px solid #4cb63a;
  padding: 6px 40px;
  border-radius: 8px;
  white-space: nowrap;
  will-change: transform;
}

.reg-button--fix-size {
  max-width: max-content;
}

.reg-button:hover,
.reg-button:active,
.reg-button:focus {
  background-color: var(--primary-bg-color);
  color: var(--primary-text-color);
  border-color: #4cb63a;
}

/* Login button */

.login-button {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 110px;
  min-height: 40px;
  font-weight: 600;
  font-size: 16px;
  background-color: var(--primary-bg-color);
  color: var(--secondary-text-color);
  line-height: normal;
  border: 1px solid var(--secondary-btn-hover-color);
  padding: 6px 40px;
  border-radius: 8px;
  white-space: nowrap;
  will-change: transform;
}

.login-button:hover,
.login-button:active,
.login-button:focus {
  border-color: #4cb63a;
  color: #ffffff;
}

/* App Button */

.app-button {
  position: relative;
  padding: 5px 16px;
  min-width: 268px;
  min-height: 56px;
  font-size: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  border-radius: 8px;
  border: 1px solid #fff72e;
  line-height: normal;
  will-change: transform;
  overflow: hidden;
  transition: var(--secondary-transition);
  background: linear-gradient(146deg, #650303 6.1%, #2a0000 47.81%, #650303 89.09%);
}

.app-button > img {
  width: 32px;
  height: 32px;
}

.app-button > span {
  text-align: center;
}

.app-button > span > span {
  display: block;
}

.app-button:hover,
.app-button:active,
.app-button:focus {
  transform: scale(1.02);
}

/* app-banner */

.app-banner {
  margin-bottom: 20px;
  position: relative;
  padding: 35px 90px;
  min-height: 400px;
  display: flex;
  align-items: center;
  border-radius: 8px;
  overflow: hidden;
}

.app-banner__wrap {
  margin: auto;
  display: flex;
  gap: 20px;
  justify-content: space-between;
  max-width: 1036px;
  width: 100%;
}

.banner__background.app-banner__background > img {
  object-position: center;
}

/* Scroll Top */

.scroll-to-top {
  position: fixed;
  bottom: 40px;
  right: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #2d0d0d;
  border-radius: 8px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  text-decoration: none;
  cursor: pointer;
  z-index: 9;
  opacity: 0;
  visibility: hidden;
  will-change: transform;
}

.scroll-to-top img {
  width: 12px;
  height: 14px;
}

.scroll-to-top.show {
  opacity: 1;
  visibility: visible;
}

.scroll-to-top:hover {
  transform: scale(1.1);
}

/* Section */

.section {
  position: relative;
  margin-bottom: 20px;
  padding: 20px;
  color: var(--primary-text-color);
  border-radius: 12px;
  background: linear-gradient(278deg, #00594d 11.67%, #003d59 88.33%);
  overflow: hidden;
}

.section > h2 {
  color: #4f0;
  display: flex;
  padding-bottom: 11px;
  border-bottom: 1px solid #fff;
}

.section h2,
.section h3,
.section h4,
.section h5 {
  text-transform: uppercase;
}

/* Table */

.table-wrapper {
  position: relative;
  padding: 0px 20px 12px 20px;
  border-radius: 12px;
  overflow: auto;
  border-radius: 12px;
  border: 1px solid rgba(56, 210, 234, 0.5);
  background: linear-gradient(234deg, #002d0a 15.82%, #004a11 52.88%, #002d0a 89.94%);
}

.table {
  position: relative;
  width: 100%;
  overflow: hidden;
  min-width: 630px;
  border-radius: 12px;
  background: transparent;
  border-collapse: separate;
  border-spacing: 0 8px;
}

.table--bg {
  border-radius: 12px;
  border: 1px solid rgba(56, 210, 234, 0.5);
  background: linear-gradient(
    115deg,
    rgba(0, 130, 61, 0.49) 0.53%,
    rgba(0, 0, 0, 0.7) 50.31%,
    rgba(0, 130, 61, 0.49) 99.45%
  ) !important;
}

.table::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 12px;
  pointer-events: none;
}

.table-wrapper .background {
  min-width: 680px;
}

.table thead {
  background-color: transparent;
  font-weight: 700;
  font-size: 20px;
  line-height: normal;
  color: #4f0;
  text-transform: uppercase;
}

.table thead th {
  padding: 12px 16px 4px 16px;
}

.table tr {
  text-align: left;
  white-space: normal;
  vertical-align: middle;
  width: auto;
}

.table tbody tr {
  background-color: transparent;
}

.table tbody td {
  padding: 19px 16px;
  color: var(--primary-text-color);
  font-size: 15px;
  border-top: 1px solid rgba(255, 255, 255, 0.3);
  border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.table tbody td:first-child {
  border-left: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 30px 0 0 30px;
}

.table tbody td:last-child {
  border-right: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 0 30px 30px 0;
}

.table a:hover,
.table a:focus,
.table a:active {
  text-decoration: underline;
}

/* Table Banner */

.table-banner-wrapper {
  position: relative;
  padding: 0px 20px 12px 20px;
  border-radius: 12px;
  overflow: auto;
  border-radius: 12px;
  border: 1px solid rgba(56, 210, 234, 0.5);
  background: linear-gradient(234deg, #002d0a 15.82%, #004a11 52.88%, #002d0a 89.94%);
}

.table-banner {
  position: relative;
  width: 100%;
  overflow: hidden;
  min-width: 580px;
  border-radius: 12px;
  background: transparent;
  border-collapse: separate;
  border-spacing: 0 8px;
}

.table-banner::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 12px;
  pointer-events: none;
}

.table-banner-wrapper .background {
  min-width: 680px;
}

.table-banner thead {
  background-color: transparent;
  font-weight: 700;
  font-size: 20px;
  line-height: normal;
  color: #4f0;
  text-transform: uppercase;
}

.table-banner thead th {
  padding: 12px 16px 4px 16px;
}

.table-banner tr {
  position: relative;
  text-align: left;
  white-space: normal;
  vertical-align: middle;
  width: auto;
}

.table-banner tbody tr {
  background-color: transparent;
}

.table-banner tbody td {
  padding: 19px 16px;
  color: var(--primary-text-color);
  font-size: 15px;
  border-top: 1px solid rgba(255, 255, 255, 0.3);
  border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.table-banner tbody td:first-child {
  border-left: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 30px 0 0 30px;
}

.table-banner tbody td:last-child {
  border-right: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 0 30px 30px 0;
}

.table-banner a:hover,
.table-banner a:focus,
.table-banner a:active {
  text-decoration: underline;
}

/* Banner */

.banner {
  margin-bottom: 20px;
  position: relative;
  padding: 35px 140px;
  min-height: 400px;
  display: flex;
  align-items: center;
  border-radius: 8px;
  overflow: hidden;
}

.banner__wrap {
  position: relative;
  max-width: 630px;
  text-align: left;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.banner__title {
  font-size: 24px;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
  color: var(--primary-text-color);
  background: linear-gradient(180deg, #ffc700 26.48%, #ff8a00 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.banner__subtitle {
  margin-top: 0;
  color: var(--primary-text-color);
  background: linear-gradient(180deg, #04eeff 26.48%, #008cff 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 34px;
  font-weight: 900;
  line-height: 1.4;
  text-transform: uppercase;
}

.banner__subtitle > span {
  display: block;
}

.banner__button {
  margin-top: 20px;
}

/* Accordionn */

.accordion {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.accordion__item {
  border: 1px solid rgba(56, 210, 234, 0.5);
  border-radius: 12px;
  overflow: hidden;
}

.accordion .accordion__title {
  position: relative;
  padding: 15.5px 50px 15.5px 16px;
  font-weight: 700;
  font-size: 20px;
  color: var(--primary-text-color);
  line-height: normal;
  background-color: var(--primary-bg-color);
  cursor: pointer;
  text-transform: uppercase;
}

.accordion__title:after {
  content: "";
  position: absolute;
  background: url(../images/icons/icon-arrow.svg);
  background-repeat: no-repeat no-repeat;
  background-position: center center;
  background-size: contain;
  rotate: 0;
  top: 24px;
  right: 20px;
  width: 14px;
  height: 14px;
  transition: all 0.3s;
}

.accordion__title.active:after {
  transform: scaleY(-1);
}

.accordion__block {
  background-color: var(--primary-bg-color);
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-in-out;
  margin: 0;
  text-align: left;
}

.accordion__text-wrap {
  padding: 16px;
  background: linear-gradient(234deg, #002d0a 15.82%, #004a11 52.88%, #002d0a 89.94%);
  color: var(--primary-text-color);
  line-height: 1.6;
}

.accordion__text-wrap > :first-child {
  margin-top: 0;
}

.accordion__text {
  margin: 0;
}

.accordion__list {
  display: flex;
  flex-direction: column;
  gap: 12px;
  font-weight: 400;
  font-size: 14px;
  line-height: 1.6;
  color: var(--quaternary-text-color);
}

.accordion__list li {
  position: relative;
  padding-left: 30px;
}

.accordion__list li::before {
  content: "";
  position: absolute;
  top: 8px;
  left: 16px;
  width: 6px;
  height: 6px;
  background-color: var(--secondary-bg-color);
  border-radius: 50%;
}

.accordion__list li span:first-child {
  margin-right: 8px;
  font-weight: 700;
  font-size: 16px;
  line-height: normal;
  color: var(--tertiary-text-color);
}

/* Split-block */

.split-block {
  display: flex;
  align-items: stretch;
  gap: 20px;
}

.split-block--reverse {
  flex-direction: row-reverse;
}

.split-block__img,
.split-block__content {
  width: calc(50% - 10px);
}

.split-block__content p:first-child {
  margin-top: 0;
}

.split-block__img {
  border-radius: 16px;
  overflow: hidden;
}

.split-block__img img {
  height: 100%;
  object-fit: cover;
}

/* List */

.list {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.list li {
  position: relative;
  padding: 20px 50px;
  text-align: center;
  border-radius: 30px;
  border: 1px solid rgba(255, 255, 255, 0.3);
}

.list li::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 16px;
  width: 30px;
  height: 12px;
  transform: translateY(-50%);
  background-image: url(../images/icons/header-1.svg);
  background-repeat: no-repeat;
}

.list li::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 16px;
  width: 30px;
  height: 12px;
  transform: translateY(-50%);
  background-image: url(../images/icons/header-1.svg);
  background-repeat: no-repeat;
}

/* Feature List */

.feature-list {
  max-width: 650px;
  padding: 12px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 8px;
  border-radius: 12px;
  background: linear-gradient(
    115deg,
    rgba(0, 130, 61, 0.7) 0.53%,
    rgba(0, 0, 0, 0.7) 50.31%,
    rgba(0, 130, 61, 0.7) 99.45%
  );
}

.feature-list > li {
  position: relative;
  min-height: 52px;
  color: var(--primary-text-color);
  font-size: 15px;
  font-weight: 700;
  line-height: normal;
  display: flex;
  flex-direction: column;
  border-radius: 30px;
  border: 1px solid rgba(255, 255, 255, 0.3);
}

.feature-list > li:not(:last-child) {
}

.feature-list > li::after {
}

.feature-list > li > p {
  margin-top: 4px;
  color: var(--primary-text-color);
  font-size: 15px;
  font-weight: 400;
  line-height: 1.6;
}

.feature-list--number > li {
  padding: 14.5px 11.5px 14.5px 52px;
  counter-increment: step-counter;
}

.feature-list--number > li::before {
  content: counter(step-counter);
  position: absolute;
  top: 12px;
  left: 12px;
  width: 28px;
  height: 28px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 15px;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
  border-radius: 50%;
  border: 1px solid rgba(56, 210, 234, 0.5);
}

.feature-list--icon > li {
  min-height: 52px;
  padding: 14.5px 11.5px 12px 52px;
  justify-content: center;
}

.feature-list--icon > li::before {
  content: "";
  position: absolute;
  top: 19px;
  left: 11px;
  width: 30px;
  height: 12px;
  background-image: url("../images/icons/header-1.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
}

.feature-list--bg2 {
  background: linear-gradient(139deg, #1f183c 11.67%, #14002a 51.42%, #350b64 90.42%);
}

.feature--fix-size {
  max-width: 680px;
}

/* Breadcrumbs */

.breadcrumbs {
  margin-bottom: 8px;
  display: flex;
  align-items: center;
  gap: 15px !important;
}

.breadcrumbs__item {
  position: relative;
}

.breadcrumbs .breadcrumbs__item:not(:first-child)::before {
  content: "";
  position: absolute;
  top: 0%;
  left: -20px;
  background-image: url(../images/icons/icon-arrow.svg);
  width: 33px;
  height: 33px;
  rotate: -90deg;
  transform: translateX(58%);
  background-repeat: no-repeat no-repeat;
}

.breadcrumbs__link {
  font-weight: 700;
  line-height: normal;
  color: var(--primary-text-color);
}

.breadcrumbs__link:hover,
.breadcrumbs__link:active,
.breadcrumbs__link:focus {
  text-decoration: underline;
  color: var(--primary-text-hover-color);
}

.breadcrumbs__link:not([href]),
.breadcrumbs__link:not([href]) > span {
  text-decoration: none;
  color: var(--primary-text-color);
  cursor: default;
}

/* Info list */

.info-list {
  padding-top: 32px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  row-gap: 50px;
  column-gap: 20px;
}

.info-list > li {
  position: relative;
  min-height: 100px;
  width: calc(33.333% - 13.33px);
  padding: 48px 12px 20px 12px;
  text-align: center;
  justify-content: center;
  display: flex;
  gap: 20px;
  border-radius: 12px;
  border: 1px solid rgba(56, 210, 234, 0.5);
  background: linear-gradient(
    115deg,
    rgba(0, 130, 61, 0.49) 0.53%,
    rgba(0, 0, 0, 0.7) 50.31%,
    rgba(0, 130, 61, 0.49) 99.45%
  );
  box-shadow: 0 0 40px 0 rgba(56, 210, 234, 0.6) inset;
}

.info-list__title {
  position: absolute;
  top: 0;
  left: 50%;
  padding: 15px 52px;
  width: calc(100% - 80px);
  justify-content: center;
  align-items: center;
  color: #4f0;
  font-size: 20px;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
  white-space: nowrap;
  transform: translate(-50%, -50%);
  border-radius: 30px;
  border: 1px solid rgba(56, 210, 234, 0.5);
  background: linear-gradient(115deg, #005461 0.53%, #000 50.31%, #005461 99.45%);
}

.info-list__title::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 16px;
  width: 30px;
  height: 12px;
  transform: translateY(-50%);
  background-image: url(../images/icons/info-list.svg);
  background-repeat: no-repeat;
}

.info-list__title::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 16px;
  width: 30px;
  height: 12px;
  transform: translateY(-50%);
  background-image: url(../images/icons/info-list.svg);
  background-repeat: no-repeat;
}

.info-list__text {
  margin-top: 0;
  color: #fff72e;
  font-size: 15px;
  font-weight: 700;
  line-height: normal;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
